Create Payment
Create a payment and obtain a payment link.
Request Endpoint
POST
/payin/createRequest Body
| Name | Type | Required | Description |
|---|---|---|---|
order_id | string | Yes | Payment ID |
amount | number | Yes | Payment amount (e.g. 10.00) |
currency | string | Yes | Payment currency (e.g. USD) |
client_email | string | Yes | Customer email |
client_id | string | Yes | Customer ID in your system |
url_return | string | No | URL to redirect the user after payment |
lifetime | integer | No | Payment link lifetime in minutes. Allowed: 30–4320 (default: 1440) |
Important
For Telegram bots and services using Telegram authentication, the client_email field may be passed in the format [email protected].
Response Body
| Name | Type | Description |
|---|---|---|
status | boolean | Request processing result |
msg | string | Error description or empty string |
data | object | Payment data object |
data.id | integer | Payment ID in our system |
data.url | string | Payment link |
data.expire_at | integer | Link expiration time (Unix timestamp) |
data.uid | string | Unique payment identifier |
Response Example
json
{
"status": true,
"msg": "",
"data": {
"id": 123,
"url": "https://severpay.io/pay/link123",
"expire_at": 1735675200,
"uid": "01KBCWM19JEQW53ZR1GKYQ6MN7"
}
}